<template>
  <span
    class="align-middle"
    :class="icon"
    :style="{
      color: props.fill,
    }"
  ></span>
</template>

<script setup lang="ts">
const props = defineProps({
  icon: { type: String, required: true },
  fill: { type: String, default: "currentColor", required: false },
});
</script>

<style scoped></style>
